package io.p2vman.pilers.events;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.kyori.adventure.text.Component;
import org.bukkit.scheduler.BukkitRunnable;

@AllArgsConstructor
@Getter
public abstract class Event extends BukkitRunnable {
    private String name;
    public Component displayname() {
        return Component.text(name);
    }
    public abstract void execute();
}
